Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri
Class XRIAuthority

    java.lang.Object
      org.openxri.Parsable
          org.openxri.AuthorityPath
              org.openxri.XRIAuthority

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  GCSAuthority, XRefAuthority

    public abstract class XRIAuthority

extends AuthorityPath

This class provides a base class for all types of XRIAuthority elements.

Author:
  =chetan

Method Summary
`XRISubSegment` | `getLastSubSegment()` Returns the last subsegment in the XRI segment
`int` | `getNumSubSegments()` Returns the number of subsegments in the XRI segment
`abstract XRIAuthority` | `getParent()` Returns the parent XRIAuthority for this object.
`XRI` | `getParentAsXRI()` Returns the parent XRefAuthority for this object.
`abstract java.lang.String` | `getRootAuthority()` Returns the root XRI Authority as a String
`XRISubSegment` | `getSubSegmentAt(int nIndex)` Returns the subsegment at the given index
`XRISegment` | `getXRISegment()` Returns the XRI Segment for this Authority Path

Methods inherited from class org.openxri.AuthorityPath
`buildAuthorityPath, toIRINormalForm, toURINormalForm`

Methods inherited from class org.openxri.Parsable
`compareTo, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getXRISegment

    public XRISegment getXRISegment()

  Returns the XRI Segment for this Authority Path

  Returns:
    XRISegment The XRI Segment

### getNumSubSegments

    public int getNumSubSegments()

  Returns the number of subsegments in the XRI segment

  Returns:
    int number of subsegments

### getSubSegmentAt

    public XRISubSegment getSubSegmentAt(int nIndex)

  Returns the subsegment at the given index

  Parameters:
    `nIndex` - The index of the subsegment to return
  Returns:
    SubSegment The subsegment at the specified location

### getLastSubSegment

    public XRISubSegment getLastSubSegment()

  Returns the last subsegment in the XRI segment

  Returns:
    SubSegment The last subsegment

### getRootAuthority

    public abstract java.lang.String getRootAuthority()

  Returns the root XRI Authority as a String

  Returns:
    String The Root XRI Authority

### getParent

    public abstract XRIAuthority getParent()

  Returns the parent XRIAuthority for this object. Equivalent to all but the last SubSegment.

  Returns:
    XRIAuthority The parent XRIAuthority of this object

### getParentAsXRI

    public XRI getParentAsXRI()

  Returns the parent XRefAuthority for this object. Equivalent to all but the last SubSegment.

  Returns:
    XRI The parent XRefAuthority of this object as an XRI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.